← CMS - Gestores de Conteúdos

Magento v1.8.1.0 - Erro ao aplicar Patches PHP 5.4 e Segurança

Lida 976 vezes

Offline

rhbkweb 
Membro
Mensagens 36 Gostos 0
Troféus totais: 19
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 4 Level 3 Level 2 Level 1 10 Posts First Post Karma

Olá a todos,

Tenho uma loja Magento Community v1.8.1.0 a correr num plano de alojamento partilhado Linux e tentei aplicar as 2 patches que a Magento lançou para esta última versão. Uma das patches é para suporte PHP 5.4 e outra é para resolver questões de segurança.

Podem ver informação sobre ambas em: http://www.magentocommerce.com/download

De minha parte segui as instruções, tendo efectuado o upload dos dois ficheiros das patches para a raiz do meu site magento, e depois solicitei à empresa de alojamento que do lado deles corressem os seguintes comandos via SSH Root de acordo com as instruções:

sh PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh

sh PATCH_SUPEE-2619_EE_1.13.1.0_v1.sh

Após correr os comandos, ambos deram erros. Segue log abaixo:

---------------

root@cpXX [/home/XXXXX/public_html/v1]# sh ./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: syntax error near unexpected token `(’
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: `<!-- saved from url=(0097)http://www.magentocommerce.com/index.php/getmagento/ce_patches/PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh -->’

root@cpXX [/home/XXXXX/public_html/v1]# sh ./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: syntax error near unexpected token `(’
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: `<!-- saved from url=(0097)http://www.magentocommerce.com/index.php/getmagento/ce_patches/PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh -->’

---------------

root@XX [/home/XXXXX/public_html/v1]# sh ./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: syntax error near unexpected token `(’
./PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh: line 2: `<!-- saved from url=(0097)http://www.magentocommerce.com/index.php/getmagento/ce_patches/PATCH_SUPEE-2747_EE_1.13.1.0_v1.sh -->’

root@XX [/home/XXXXX/public_html/v1]# sh PATCH_SUPEE-2619_EE_1.13.1.0_v1.sh
PATCH_SUPEE-2619_EE_1.13.1.0_v1.sh: line 2: syntax error near unexpected token `(’
PATCH_SUPEE-2619_EE_1.13.1.0_v1.sh: line 2: `<!-- saved from url=(0097)http://www.magentocommerce.com/index.php/getmagento/ce_patches/PATCH_SUPEE-2619_EE_1.13.1.0_v1.sh -->’

--------------

Já alguém tentou aplicar estas patches no Magento? Alguma sugestões sobre qual a causa / razão deste erro?

Agradeço toda e qualquer ajuda e conselho.

Obrigado.